import request from '@/utils/request'

/**
 * 获取初始化
 */
export function getInit(queryParams) {
  return request({
    url: '/nurse-station/atd-manage/init',
    method: 'get',
    params: queryParams
  })
}

/**
 * 获取患者列表
 */
export function getPendingInfo(queryParams) {
  return request({
    url: '/nurse-station/atd-manage/admission-patient',
    method: 'get',
    params: queryParams 
  })
}

/**
 * 获取床位列表
 */
export function getBedInfo(queryParams) {
  return request({
    url: '/nurse-station/atd-manage/admission-bed',
    method: 'get',
    params: queryParams 
  })
}

/**
 * 获取患者详细信息
 */
export function getPatientInfo(queryParams) {
  return request({
    url: '/nurse-station/atd-manage/admission-patient-info',
    method: 'get',
    params: queryParams 
  })
}

/**
 * 获取医生列表
 */
export function getDoctorInfo(queryParams) {
  return request({
    url: '/charge-manage/register/practitioner-metadata?orgId=' + queryParams.organizationId,
    method: 'get'
  })
}

/**
 * 获取护士列表
 */
export function getNurseInfo(queryParams) {
  return request({
    url: '/app-common/nurse-list?orgId=' + queryParams.organizationId,
    method: 'get'
  })
}

/**
 * 入科床位分配
 */
export function bedAssignment(data) {
  return request({
    url: '/nurse-station/atd-manage/bed-assignment',
    method: 'post',
    data: data
  })
}

/**
 * 获取病区
 */
export function childLocationList(queryParams) {
  return request({
    url: '/app-common/child-location-list',
    method: 'get',
    params: queryParams 
  })
}

export function getPractitionerWard(queryParams) {
  return request({
    url: '/app-common/practitioner-ward',
    method: 'get',
    params: queryParams 
  })
}
